@echo off
title Duke It Out In D.C. for EDuke32 Installer
cls

if not exist DUKEDCPP.SSI goto error
echo Duke It Out In D.C. for EDuke32 Installer
echo             By Hendricks266
echo.
echo This batch file extracts the contents of DUKEDCPP.SSI
echo and makes it into a group file, DukeDC.grp.
echo. 
pause
echo.
md dukedcpp
copy unpackssi dukedcpp\
copy kgroup dukedcpp\
copy DUKEDCPP.SSI dukedcpp\
cd dukedcpp
unpackssi DUKEDCPP.SSI
del unpackssi
del DUKEDCPP.SSI
kgroup DukeDC.grp *.*
copy DukeDC.grp ..\
cd ..
rd /s /q dukedcpp
echo.
echo DukeDC.grp has been added to your directory.
echo.
pause
goto end

:error
echo.
echo You do not have DUKEDCPP.SSI in this directory.
echo.
pause
goto end

:end
goto :eof
